careCycle
Inquiries

Get paginated list of inquiries with optional sta…

Get paginated list of inquiries with optional status filtering

GET
/v2/inquiries

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Query Parameters

number

GET /v2/inquiries Parameter

Default1Range1 <= value
number

GET /v2/inquiries Parameter

Default50Range1 <= value <= 100
string

Filter inquiries by status. Single value or comma-separated list (e.g. 'new' or 'new,pending_resolution,unresolved')

string

Filter inquiries by agent name

string

Filter inquiries to a single customer

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

Search inquiries by customer name or phone number

string

Column to sort by. Supported: 'createdAt' (default), 'priority'. Unknown values fall back to createdAt.

string

Sort direction, defaults to desc. For 'priority', direction describes urgency: desc = most urgent (P1) first.

Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/inquiries"
{
  "itemsTotal": 0,
  "currentPage": 0,
  "nextPage": 0,
  "prevPage": 0,
  "items": [
    {
      "id": "string",
      "customerCampaignId": "string",
      "callId": "string",
      "duplicateOfId": "string",
      "inquiry": "string",
      "status": "string",
      "primaryCategory": "string",
      "severity": "string",
      "priority": -9007199254740991,
      "priorityRationale": "string",
      "priorityCategory": "string",
      "priorityConfidence": -9007199254740991,
      "resolvedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "response": "string",
      "notes": "string",
      "resolutionType": "string",
      "callbackRequestedAt": "2019-08-24T14:15:22Z",
      "callbackScheduledFor": "2019-08-24T14:15:22Z",
      "callbackCompletedAt": "2019-08-24T14:15:22Z",
      "callbackDisposition": "string",
      "callbackFailureReason": "string",
      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
      "customerName": "string",
      "callerId": "string",
      "customerTimezone": "string",
      "customerPostalCode": "string",
      "agentName": "string",
      "carrierName": "string",
      "planName": "string",
      "campaign": {
        "id": "string",
        "name": "string",
        "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",
        "status": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "description": "string"
      },
      "assignedUser": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "image": "string"
      },
      "customerAssignedUser": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "image": "string"
      }
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}